List agents
curl --request GET \
--url https://api.eu.volubile.ai/v1/agents \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eu.volubile.ai/v1/agents"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eu.volubile.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"telephonyConfiguration": {
"sipConnection": {
"did": "2566458"
},
"phoneNumbers": [
"+33612345678",
"+33612345679"
]
},
"name": "<string>",
"active": true,
"recordable": true,
"archived": true,
"configuration": {
"extractors": [
{
"description": "Extract all the information about the customer",
"extractors": [
{
"description": "Customer's first name",
"name": "First name"
},
{
"description": "Customer's last name",
"name": "Last name"
},
{
"description": "Customer's phone number in a valid format (+33)",
"name": "Phone"
},
{
"description": "Customer's email in a valid format",
"name": "Email"
},
{
"description": "Customer address information",
"name": "Address",
"extractors": [
{
"description": "Street address of the customer, including house number and street name",
"name": "Street"
},
{
"description": "Postal code of the customer's address",
"name": "Postal code"
},
{
"description": "City or locality where the customer resides",
"name": "City"
}
]
}
],
"name": "Customer information"
}
],
"classifiers": [
{
"description": "What was the reason for the call",
"name": "Classification of the call",
"values": [
"Support",
"Sales",
"Billing",
"Technical issue"
]
}
]
}
}
],
"size": 123,
"page": 123,
"totalElements": 123,
"totalPages": 123
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}Agents
List agents
GET
/
v1
/
agents
List agents
Authorizations
Api keyBearer token
Your API key.
Query Parameters
Filter by type
Available options:
INBOUND, OUTBOUND The page number to be returned, starts at 1
The number of items to be returned, maximum 100
The sort property and direction
Available options:
<property>,ASC, <property>,DESC Example:
"property,DESC"
⌘I